Bug 240062 - up2date --undo throws exception
up2date --undo throws exception
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Beth Nackashi
na
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 15:03 EDT by wes hayutin
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:36:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2007-05-14 15:03:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20061215 Red Hat/1.5.0.9-0.1.el4 Firefox/1.5.0.9

Description of problem:
RHEL3_8, seems to be fixed in U9

I thought up2date --undo was deprecated.  However on the latest
x86 up2date it still appears as an option

[root@dhcp231-70 root]# cat /etc/redhat-release
Red Hat Enterprise Linux AS release 3 (Taroon Update 8)
[root@dhcp231-70 root]# uname -a
Linux dhcp231-70.rdu.redhat.com 2.4.21-47.ELsmp #1 SMP Wed Jul 5 20:38:41 EDT 2006 i686 i686 i386 GNU/Linux
[root@dhcp231-70 root]# up2date --undo
An error has occurred:
exceptions.AttributeError
See /var/log/up2date for more information
[root@dhcp231-70 root]# tail /var/log/up2date
[Mon May 14 14:52:51 2007] up2date   File "/usr/sbin/up2date", line 1288, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 477, in main
    ret = up2date.undo()

[Mon May 14 14:53:46 2007] up2date   File "/usr/sbin/up2date", line 1288, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 477, in main
    ret = up2date.undo()

[root@dhcp231-70 root]# rpm -qa | grep up2date
up2date-4.4.69-24.2
[root@dhcp231-70 root]#


however on x86_64 it is deprecated..
[root@cwelton-64 root]# up2date --undo
This feature is deprecated and no longer functional
[root@cwelton-64 root]# rpm -qa | grep up2date
up2date-4.5.5-5.el3
up2date-gnome-4.5.5-5.el3
[root@cwelton-64 root]#



Version-Release number of selected component (if applicable):
up2date-4.4.69-24.2

How reproducible:
Always


Steps to Reproduce:
install rhel3_u8, 
up2date -uf

up2date --undo

Actual Results:


Expected Results:


Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:36:52 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.